using System;

namespace ConsoleApp22
{
    class Program
    {
        static void Main(string[] args)
        {

            string[] us = Console.ReadLine().Split();
            string[] up = Console.ReadLine().Split();

            int t1s = int.Parse(us[0]);
            int t2s = int.Parse(us[1]);
            int t1p = int.Parse(up[0]);
            int t2p = int.Parse(up[1]);

            bool t1g = t1s > t1p;
            bool t2g = t2s > t2p;

            string izl;

            if (t1g && t2g)
                izl = "?";
            else if (t1g)
                izl = "prvi";
            else if (t2g)
                izl = "drugi";
            else izl = "nijedan";

            Console.WriteLine(izl);

        }

    }

}